Skip to main content
GET
/
api
/
sessions
/
{sessionId}
Get hosted clone session status
curl --request GET \
  --url https://archal.ai/api/sessions/{sessionId} \
  --header 'Authorization: Bearer <token>'
{
  "sessionId": "<string>",
  "status": "<string>",
  "cloneIds": [
    "<string>"
  ],
  "endpoints": {},
  "apiBaseUrls": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "alive": true,
  "mcp": {},
  "resolvedSeeds": {},
  "evidence": {},
  "runtimeProvider": "<string>",
  "scenarioId": "<string>",
  "batchId": "<string>",
  "batchSuiteName": "<string>",
  "endedAt": "2023-11-07T05:31:56Z",
  "lastError": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.archal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sessionId
string
required
Example:

"env_12345"

Response

Current session status and endpoints.

sessionId
string
required
status
string
required
Examples:

"starting"

"running"

"ended"

"failed"

cloneIds
string[]
required
endpoints
object
required
apiBaseUrls
object
required
createdAt
string<date-time>
required
expiresAt
string<date-time>
required
alive
boolean
mcp
object
resolvedSeeds
object
evidence
object
runtimeProvider
string
scenarioId
string | null
batchId
string | null
batchSuiteName
string | null
endedAt
string<date-time> | null
lastError
string | null